#ifndef MSP_TEST_EXCEPTIONCHECK_H_
#define MSP_TEST_EXCEPTIONCHECK_H_

namespace Msp {
namespace Test {

class ExceptionCheck
{
protected:
	ExceptionCheck() { }

public:
	virtual bool check(const std::exception &) const = 0;
};

template<typename T>
class ExceptionTypeCheck: public ExceptionCheck
{
public:
	virtual bool check(const std::exception &e) const
	{ return dynamic_cast<const T *>(&e); }
};

} // namespace Test
} // namespace Msp

#endif
