#ifndef MSP_TEST_RUNNER_H_
#define MSP_TEST_RUNNER_H_

#include <list>
#include <string>
#include <msp/core/application.h>

namespace Msp {
namespace Test {

class Runner: public RegisteredApplication<Runner>
{
private:
	bool verbose;
	bool show_list;
	std::list<std::string> tests;

public:
	Runner(int, char **);

	virtual int main();
};

} // namespace Test
} // namespace Msp

#endif
